### Method

# Shumate Compass get_viewport

#### Declaration [src]

    ShumateViewport*
    shumate_compass_get_viewport (
      ShumateCompass* compass
    )

#### Description [src]

Gets the viewport used by the compass.

Gets property | `Shumate.Compass:viewport`

#### Return value

Returns: | `ShumateViewport`
| The `ShumateViewport` used by the compass.
| The data is owned by the instance.
| The return value can be `NULL`.